#pragma once
#include <stdexcept>

namespace Nebulix 
{
	/// <summary>
	/// This exception will be thrown if there is an error to do with its IO. For example opening the file
	/// </summary>
	class IOException : public std::runtime_error
	{
	public:
		using runtime_error::runtime_error;

		IOException() : runtime_error{ "ERROR::FILE::IO" } {}
		/// <summary>
		/// Overrides the default error message
		/// </summary>
		IOException(std::string message) : runtime_error{ message } {}

	private:
	};
}
