#pragma once
#include <vector>
#include "../shaders/Shader.h"

namespace Nebulix {
	class Mesh
	{
	public:
		/// <summary>
		/// Creates a new mesh using the default shader
		/// </summary>
		/// <param name="vertices">The list of vertices of this mesh</param>
		/// <param name="faces">A list of faces, where each face contains the 3 indices of the given vertices used for constructing a triangle</param>
		Mesh(const std::vector<GLfloat> &vertices, const std::vector<GLfloat[3]> &faces);
		Mesh(const std::vector<GLfloat> &vertices, const std::vector<GLfloat[3]> &faces, Shader shader);
		~Mesh();

	private:

	};
}
